#ifndef GTKMM_MY_EVENT_H
#define GTKMM_MY_EVENT_H

#include <gtkmm.h>

class MyArea : public Gtk::DrawingArea
{
public:
	MyArea();
	virtual ~MyArea();
	
	void clear();
	void draw();

protected:
	void on_draw(const Cairo::RefPtr<Cairo::Context>& cr, int width, int height);

private:
	bool empty;
};

class MyEvent : public Gtk::Window
{
public:
	MyEvent();

protected:
	//Button Signal handlers:
	void on_button_clicked_clear();
	void on_button_clicked_draw();
	//event clavier
    bool on_window_key_pressed(guint keyval, guint keycode, Gdk::ModifierType state); 

	MyArea m_Area;

	Gtk::Box m_Main_Box;
	Gtk::Box m_Buttons_Box;
	Gtk::Button m_Button_Clear;
	Gtk::Button m_Button_Draw;
	
	bool keyb_driven_state; 
};

#endif // GTKMM_MY_EVENT_H
